You are not logged in.

#1 2019-10-11 07:48:55

Dontpanic_x
Member
Registered: 2018-10-27
Posts: 9

Problems with vmware-workstation15

I have recently updated VMware and the VMware player is asking for a license key. To my understanding this should only happen in the pro version not the player vision. I have installed the VMware-workstation15 from the AUR but when launching VMplayer is seems to act the same as if it was VMware pro('vmware' in the cli).

Offline

#2 2019-10-11 07:53:45

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,072
Website

Re: Problems with vmware-workstation15

Mod note: moving to AUR Issues.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2019-10-11 07:54:38

Dontpanic_x
Member
Registered: 2018-10-27
Posts: 9

Re: Problems with vmware-workstation15

Appologize for posting in the wrong place.

Offline

#4 2019-10-11 10:53:29

a821
Member
From: My Location
Registered: 2012-10-31
Posts: 133

Re: Problems with vmware-workstation15

Did you check the AUR comments? It seems there is a workaround (I don't use vmware, I have no idea)


$ pacman -Q base
error: package 'base' not found

Offline

#5 2019-10-12 13:32:54

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,295

Re: Problems with vmware-workstation15

https://www.vmware.com/products/workstation-player.html wrote:

Can VMware Workstation Player be installed on the same machine with other VMware products?

No. VMware Workstation Player is not designed to co-install with other VMware products. If an installation of VMware Workstation Pro or VMware Server is detected on a machine where Workstation Player is being installed, the Workstation Player installation will display an error message and abort. However, if you purchase and install Workstation Pro, a version of Workstation Player that will work is included with your purchase.

The workstation15 package downloads VMware-Workstation-Full-xxx.x86_64.bundle .
That looks very much like workstation pro .


What was the version of your vmware player before the update ?
https://www.vmware.com/products/player/ … d-upgrades may be helpful.


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#6 2019-10-12 14:40:02

Dontpanic_x
Member
Registered: 2018-10-27
Posts: 9

Re: Problems with vmware-workstation15

Lone_Wolf wrote:
https://www.vmware.com/products/workstation-player.html wrote:

Can VMware Workstation Player be installed on the same machine with other VMware products?

No. VMware Workstation Player is not designed to co-install with other VMware products. If an installation of VMware Workstation Pro or VMware Server is detected on a machine where Workstation Player is being installed, the Workstation Player installation will display an error message and abort. However, if you purchase and install Workstation Pro, a version of Workstation Player that will work is included with your purchase.

The workstation15 package downloads VMware-Workstation-Full-xxx.x86_64.bundle .
That looks very much like workstation pro .


What was the version of your vmware player before the update ?
https://www.vmware.com/products/player/ … d-upgrades may be helpful.

If I'm not mistaken it would have been vmware-workstation15.1.0

Offline

#7 2019-10-12 14:43:15

Dontpanic_x
Member
Registered: 2018-10-27
Posts: 9

Re: Problems with vmware-workstation15

a821 wrote:

Did you check the AUR comments? It seems there is a workaround (I don't use vmware, I have no idea)

Thanks for that, I honestly did notice before that someone has posted about it. Seems like the workaround is to downgrade to 15.1.0

Only problem is that when I try to downgrade to 15.1.0 it gives me an error that it is not found. I don't know if I still have that version locally because I have removed the package and reinstalled it thinking that may fix the issue.

Last edited by Dontpanic_x (2019-10-12 15:17:51)

Offline

Board footer

Powered by FluxBB